﻿<header>
    <div class="content-wrapper">
        <div class="float-left">
            <p class="site-title">
                <a href="~/">Loyalty Point Engine</a>
            </p>
        </div>
    </div>
</header>
<div id="body">
    <section class="featured">
        <div class="content-wrapper">
            <hgroup class="title">
                <h1>Welcome to Loyalty Point Engine Web API!</h1>

            </hgroup>

            <p>
                To learn more about function and documentation visit
                <a href="~/help" title="Loyalty Point Engine DOCUMENTATION">HELP PAGE</a>.
            </p>
            <p>
                on this page you can read the documentation of each function and how to use them.
            </p>
        </div>
    </section>
    <section class="content-wrapper main-content clear-fix">
        <h3>We suggest the following steps:</h3>
        <ol class="round">
            <li class="one">
                <h5>Access Token</h5>
                Most of the time, you will need access token to run API. To get access token, prepare a call to <strong>/api/access/token</strong>
                and add 4 parameter to your request, client_id, client_secret, username, and password.
                <strong>client_secret and Password value must encript with HMACSHA1.</strong>.
                You will get access_token from the response. Then on each API call, add Authorization header, with value "Bearer your-access-token-here".                
                Access token lifetime is 30 minutes. To get new access token you can call <strong>/api/access-token</strong> again or refresh it.
            </li>

            <li class="two">
                <h5>Refreshing Access Token</h5>
                To refresh access token (Extend the expiry time of the token), call to <strong>/api/access/refreshtoken</strong>,  add 3 parameters. 
                client_id, client_secret, Token <strong>client_secret value must encript with HMACSHA1.</strong>
                Set Token value to the value of the refresh_token you want to extended.
            </li>

            <li class="three">
                <h5>Simple Access Token</h5>
                some API, ex: "api/Member/Add" , you can using simple-access-token (without information username and password). To using this API:
                 add Authorization header, with value "Bearer your-simple-access-token-here". 
                generated "your-simple-access-token-here" with a combination of ClientId and ClientSecret ( ClientId + '#' + ClientSecret). 
                Please encript "your-simple-access-token-here" with HMACSHA1. 
                Please encript password with HMACSHA1. 


            </li>


            
            <li class="four">
                <h5>Sample Encript Code with HMACSHA1</h5>
               string plainPassword = "123456";<br />
            HMACSHA1 hash = new HMACSHA1();<br />
            hash.Key = Encoding.Unicode.GetBytes(plainPassword);<br />
            string encodedPassword =<br />
             &nbsp;&nbsp;&nbsp; &nbsp;Convert.ToBase64String(hash.ComputeHash(Encoding.Unicode.GetBytes(plainPassword)));<br />


            </li>



        </ol>
    </section>
</div>
